Jump to content

ilife 08 on 10.4.8?


  • Please log in to reply
24 replies to this topic

#1
seandiesel

seandiesel

    InsanelyMac Protégé

  • Just Joined
  • Pip
  • 4 posts
is it possible to run ilife 08 on 10.4.8, dont know if pacifist will work

#2
failurbydesign

failurbydesign

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 344 posts
  • Gender:Male
yeppers

#3
seandiesel

seandiesel

    InsanelyMac Protégé

  • Just Joined
  • Pip
  • 4 posts
kool, im trying it right now, it worked for me for iwork 08, so im confident it will work
quick question, do i need to extrsct first, or just install through pacifist?

#4
failurbydesign

failurbydesign

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 344 posts
  • Gender:Male
i dont understand your last part, it just installs normal, like you do anything

#5
seandiesel

seandiesel

    InsanelyMac Protégé

  • Just Joined
  • Pip
  • 4 posts
well dont matter, i installed and everything crashes now...itunes, ilife, system prefs, how can i fix this?

#6
failurbydesign

failurbydesign

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 344 posts
  • Gender:Male
well like i said it worked for me, so i wouldn't know how to fix it..

#7
R2k.

R2k.

    One minute to midnight

  • Members
  • PipPipPipPipPipPipPip
  • 917 posts
  • Gender:Male
  • Location:Serbia
  • Interests:Music production and sound design
i successfully installed iPhoto,but when i open it i get this :


Posted Image



:blowup:


~R

#8
AntarcticP

AntarcticP

    InsanelyMac Protégé

  • Members
  • PipPip
  • 61 posts
  • Gender:Male
Hi,
I'm happy, happy, happy !
I got iLife '08 to work completely with my 10.4.8 system! How to do it?
Well, I installed ilife with pacifist. Then iPhoto wont work as you see in the previous post.
You then just have to change the system info of your MacOsX version.
In the "About this Mac" window you can see your Mac version. The info of this file can be found at:
System/Library/Coreservices/Systemversion.plist.

Make a copy of the file on your desktop !

Open it in a text editor and you can find the following keys there:
<key>ProductUserVisibleVersion</key>
<string>10.4.8</string>
<key>ProductVersion</key>
<string>10.4.8</string>

Just change the 10.4.8 to 10.4.9 and save the file on your desktop.
After this, copy the file back to the location, give your administrator password.

That's it, open iPhoto and it will work perfectly !

Succes, AntarcticP

#9
iPablos

iPablos

    InsanelyMac Sage

  • Members
  • PipPipPipPipPipPip
  • 399 posts
garage band you can work? i can't work that

#10
knvb1123

knvb1123

    InsanelyMac Protégé

  • Members
  • Pip
  • 21 posts
  • Gender:Male
  • Location:Minnesota
Thanks AntarticP! I'll try that... But what's so special about pacifist? I installed myself just fine on a 10.4.8 by manually changing the info.plist.

#11
JaE-V

JaE-V

    InsanelyMac Legend

  • Members
  • PipPipPipPipPipPipPip
  • 933 posts
  • Gender:Male
  • Location:Texas

Hi,
I'm happy, happy, happy !
I got iLife '08 to work completely with my 10.4.8 system! How to do it?
Well, I installed ilife with pacifist. Then iPhoto wont work as you see in the previous post.
You then just have to change the system info of your MacOsX version.
In the "About this Mac" window you can see your Mac version. The info of this file can be found at:
System/Library/Coreservices/Systemversion.plist.

Make a copy of the file on your desktop !

Open it in a text editor and you can find the following keys there:
<key>ProductUserVisibleVersion</key>
<string>10.4.8</string>
<key>ProductVersion</key>
<string>10.4.8</string>

Just change the 10.4.8 to 10.4.9 and save the file on your desktop.
After this, copy the file back to the location, give your administrator password.

That's it, open iPhoto and it will work perfectly !

Succes, AntarcticP


thanks alot for this

#12
knvb1123

knvb1123

    InsanelyMac Protégé

  • Members
  • Pip
  • 21 posts
  • Gender:Male
  • Location:Minnesota
Yeah. GarageBand which is really the only one I want isn't working even with pacifist and your 'hack'

#13
JaE-V

JaE-V

    InsanelyMac Legend

  • Members
  • PipPipPipPipPipPipPip
  • 933 posts
  • Gender:Male
  • Location:Texas

Yeah. GarageBand which is really the only one I want isn't working even with pacifist and your 'hack'


yea it does, whats your error? if your getting the quicktime error like i was at first just use the system updater to update your player and the ilife software after the install and you should be good. Dont use pacifist just do the little tweak i quoted a few posts up then just run the installer normally if you arent already installed

#14
NMAC

NMAC

    InsanelyMac Protégé

  • Members
  • Pip
  • 15 posts
  • Gender:Male
  • Location:Winter Springs, Florida
This trick work with QuickTime 7.2 but not with Safari 3.0

#15
R2k.

R2k.

    One minute to midnight

  • Members
  • PipPipPipPipPipPipPip
  • 917 posts
  • Gender:Male
  • Location:Serbia
  • Interests:Music production and sound design
you have Safari 3.0.2 (Ramm edition) on this forum.
Ex-member Ramm compiled Safari to work on 10.4.8.

~R

#16
JaE-V

JaE-V

    InsanelyMac Legend

  • Members
  • PipPipPipPipPipPipPip
  • 933 posts
  • Gender:Male
  • Location:Texas

you have Safari 3.0.2 (Ramm edition) on this forum.
Ex-member Ramm compiled Safari to work on 10.4.8.

~R


you dont really have to compile anything, just change 10.4.8 to 10.4.9 lol

#17
AntarcticP

AntarcticP

    InsanelyMac Protégé

  • Members
  • PipPip
  • 61 posts
  • Gender:Male
Hi guys,

glad I could help some of you ...
When you first change the systemversion.plist as described and thereafter install iLife '08, you don't have to use Pacifist.
You can just run the installer.

grtz, AntarcticP

#18
mactheripper

mactheripper

    InsanelyMac Protégé

  • Members
  • Pip
  • 17 posts
Thanks a lot for your posts AntarcticP and JaE-V. I finally got my iLife 08 to work on 10.4.8 following your instructions. Everything works like a charm now...iLife is one amazing app to explore and use !!!

Thanks again for all your help folks...

Regards,
Sonu :)

#19
thegodfaza

thegodfaza

    Someone

  • Members
  • PipPipPipPipPipPip
  • 448 posts
  • Gender:Male
  • Location:M12-578
  • Interests:OS X, Linux, Windows(Gaming), Xbox 360
You should test iDVD and iMovie. They don't work for most people using OSX86 and even a normal mac.

#20
duckhead

duckhead

    InsanelyMac Protégé

  • Just Joined
  • Pip
  • 2 posts
i have the same problem as samdiesel after i installed ilife 08 i get all kinds of problems, i cant launch a lot of stuff that i installed now including some stuff that comes with os x install





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

© 2014 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   Web hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy